org.apache.sling.provisioning.model

## Class MergeUtility.MergeOptions

- java.lang.Object
- - org.apache.sling.provisioning.model.MergeUtility.MergeOptions

Enclosing class:
  MergeUtility

    public static class MergeUtility.MergeOptions
    extends Object

Options for specifying some parts of the merge operation.

### Constructor Summary

Constructors
Constructor and Description
`MergeOptions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isHandleRemoveRunMode()` Returns `true` if the remove run mode should be respected.
`boolean` `isLatestArtifactWins()` Returns `true` if the latest artifact should win on a merge.
`MergeUtility.MergeOptions` `setHandleRemoveRunMode(boolean handleRemoveRunMode)` Set to `true` if the remove run mode should be respected.
`MergeUtility.MergeOptions` `setLatestArtifactWins(boolean latestArtifactWins)` Set to `true` if the latest artifact should win on a merge.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeOptions

    public MergeOptions()

### Method Detail

#### isHandleRemoveRunMode

    public boolean isHandleRemoveRunMode()

Returns `true` if the remove run mode should be respected.

Returns:
  `true` or `false`

#### setHandleRemoveRunMode

    public MergeUtility.MergeOptions setHandleRemoveRunMode(boolean handleRemoveRunMode)

Set to `true` if the remove run mode should be respected.

Parameters:
  `handleRemoveRunMode` - Whether the remove run mode should be respected.
Returns:
  This instance.

#### isLatestArtifactWins

    public boolean isLatestArtifactWins()

Returns `true` if the latest artifact should win on a merge.

Returns:
  `true` or `false` if the artifact with the highest version should win

#### setLatestArtifactWins

    public MergeUtility.MergeOptions setLatestArtifactWins(boolean latestArtifactWins)

Set to `true` if the latest artifact should win on a merge. Set to `false` if the artifact with the highest version should win

Parameters:
  `latestArtifactWins` - Whether the latest artifact should win
Returns:
  This instance.